hpp-fcl: hpp::fcl::Cylinder Class Reference

hpp-fcl 1.7.2 HPP fork of FCL -- The Flexible Collision Library

Public Member Functions | Public Attributes | List of all members
hpp::fcl::Cylinder Class Reference
Geometric shapes

Cylinder along Z axis. The cylinder is defined at its centroid. More...

`#include <hpp/fcl/shape/geometric_shapes.h>`

Inheritance diagram for hpp::fcl::Cylinder:

## Public Member Functions
| Cylinder (FCL_REAL radius_, FCL_REAL lz_)
| Cylinder (const Cylinder &other)
virtual Cylinder * | clone () const
| Clone *this into a new Cylinder. More...
void | computeLocalAABB ()
| Compute AABB. More...
NODE_TYPE | getNodeType () const
| Get node type: a cylinder. More...
FCL_REAL | computeVolume () const
| compute the volume More...
Matrix3f | computeMomentofInertia () const
| compute the inertia matrix, related to the origin More...
Public Member Functions inherited from hpp::fcl::ShapeBase
| ShapeBase ()
| ShapeBase (const ShapeBase &other)
| More...
virtual | ~ShapeBase ()
OBJECT_TYPE | getObjectType () const
| Get object type: a geometric shape. More...
Public Member Functions inherited from hpp::fcl::CollisionGeometry
| CollisionGeometry ()
| CollisionGeometry (const CollisionGeometry &other)
| Copy constructor. More...
virtual | ~CollisionGeometry ()
bool | operator== (const CollisionGeometry &other) const
| Equality operator. More...
bool | operator!= (const CollisionGeometry &other) const
| Difference operator. More...
void * | getUserData () const
| get user data in geometry More...
void | setUserData (void *data)
| set user data in geometry More...
bool | isOccupied () const
| whether the object is completely occupied More...
bool | isFree () const
| whether the object is completely free More...
bool | isUncertain () const
| whether the object has some uncertainty More...
virtual Vec3f | computeCOM () const
| compute center of mass More...
virtual Matrix3f | computeMomentofInertiaRelatedToCOM () const
| compute the inertia matrix, related to the com More...

## Public Attributes
FCL_REAL | radius
| Radius of the cylinder. More...
FCL_REAL | halfLength
| Half Length along z axis. More...
Public Attributes inherited from hpp::fcl::CollisionGeometry
Vec3f | aabb_center
| AABB center in local coordinate. More...
FCL_REAL | aabb_radius
| AABB radius. More...
AABB | aabb_local
| AABB in local coordinate, used for tight AABB when only translation transform. More...
void * | user_data
| pointer to user defined data specific to this object More...
FCL_REAL | cost_density
| collision cost for unit volume More...
FCL_REAL | threshold_occupied
| threshold for occupied ( >= is occupied) More...
FCL_REAL | threshold_free
| threshold for free (<= is free) More...

## Detailed Description

Cylinder along Z axis. The cylinder is defined at its centroid.

The documentation for this class was generated from the following file:

- include/hpp/fcl/shape/geometric_shapes.h